var rincluded = [];

function loadRestoreTree() {
  // On vide la liste quand on recharche la page
  rincluded = [];
  
  $("#tree-div").jstree({ 
    "json_data" : {
      "ajax" : {
        "url" : "/getBackupNodeChildren",
        "type": "POST",
        "data" : function (n) { 
          return { node : n.attr ? n.attr("node") : "__bid_root__" }; 
        }
      }
    },
    "plugins" : [ "themes", "json_data" ]
  }).bind("loaded.jstree", function (event, data) {
    // Rend la racine draggable sans la charger
    $( ".draggable" ).draggable({ helper: "clone", handle: "a"});
  });
  
  $("#tree-div").delegate("a", "dblclick", function (event, data) {
    // ouverture des nœuds sur un double click
    $.jstree._reference(($(this).parent())).toggle_node($(this).parent())
    event.preventDefault();
  }).delegate("a", "click", function (event, data) {
    event.preventDefault();
  });
  
  $("div").bind("after_open.jstree", function (event, data) {
    $( ".draggable" ).draggable({ helper: "clone", handle: "a"});
  });
  
 
  $( "#panier-restore" ).droppable({
    drop: function( event, ui ) {
      var node = ui.draggable;
      clear = false;
      if ($("#restorebid").val() != '') {
          if ($("#restorebid").val() != $(node).attr("bid")) {
            display_popup("Attention", "Vous ne pouvez pas mélanger les backups.<br/>Votre sélection va être réinitialisée");
            clear = true;
          }
      }
      $("#restorebid").val($(node).attr("bid"));
      $("#date_backup").val($(node).attr("date_backup"));
      addRestoreItem(node, clear);
      return true;
    }
  });
  
}

function addRestoreItem(node, clear) {
  console.log(node+' '+clear);
}

function removeRestoreItem(node_id, node_element) {
    $.each(rincluded, function(index, node){
        if ($(node)) {
            if ($(node).attr("id") == unescape(node_id)) 
                rincluded.splice(index, 1);
        }
    });
    $(node_element).parent().remove();
}

function addRestoreItem(node, clear){
    if (clear) 
        rincluded = [];

    if ($.inArray(node, rincluded) == -1) {
        rincluded.push(node);
        
        $("#panier-restore").empty();
        $.each(rincluded, function(index, node){
            var id = $(node).attr("id");
            var value = $(node).attr("path");
            var type = ($(node).attr("leaf") == true) ? 'leaf' : 'folder';
            
            $("<div name='"+escape(id)+"' class='folderlist'>"+
              "<a href='#' onclick='removeRestoreItem(\""+escape(id)+"\", this);return false;'>"+
              "<img src='/images/delete.gif'/></a>"+
              "<img class='icon' src='/images/jstree/"+type+".gif'/>"+
              "<span>"+value+"</span>"+
              "</div>").appendTo("#panier-restore");

        });
    }
}

function restore(){
            
    var destpath = $("#destpath").val();
    var bid = $("#restorebid").val();
    var rpath = [];
    $.each(rincluded, function(index, node){
        rpath.push($(node).attr("path"));
    });
                
    var params = {
        'destpath': destpath,
        'bid': bid,
        'rpath': rpath,
        'same-dest': $("#restore-same-origin").attr('checked')
    };
    //console.log(params);
    src = "runRestore?params=" + escape(JSON.stringify(params));
    showConsole(src);
                
}
