<h1>Paramétrage de votre sauvegarde</h1>
<div class="tree-panel">
  <h3>Sauvegardes</h3>
  <div id="tree-div"></div>
</div>

<div class="param-panel">
  <h3>Paramètres</h3>
  <fieldset>
    <legend><b>Dossiers à sauvegarder</b></legend>
    <div id="panier-include" class="droppable" style=" height:100%;"></div>
  </fieldset>

  <fieldset>
    <legend><b>Dossiers à exclure</b></legend>
    <div id="panier-exclude" class="droppable"  style="height:100%"></div>
  </fieldset>

  <fieldset>
    <legend><b>Types de fichiers à exclure</b></legend>
    Un par ligne&nbsp;:<br/>
    <textarea id="textarea-excludepattern" style="width:200px">$excludepattern</textarea>
  </fieldset>

  <fieldset>
    <legend><b>Programmation de la sauvegarde</b></legend>
    Heure de la sauvegarde&nbsp;:<br/>
    <select id="hourBackup"  data-value="$hour">
      <option value='00'>00</option>
      <option value='01'>01</option>
      <option value='02'>02</option>
      <option value='03'>03</option>
      <option value='04'>04</option>
      <option value='05'>05</option>
      <option value='06'>06</option>
      <option value='07'>07</option>
      <option value='08'>08</option>
      <option value='09'>09</option>
      <option value='10'>10</option>
      <option value='11'>11</option>
      <option value='12'>12</option>
      <option value='13'>13</option>
      <option value='14'>14</option>
      <option value='15'>15</option>
      <option value='16'>16</option>
      <option value='17'>17</option>
      <option value='18'>18</option>
      <option value='19'>19</option>
      <option value='20'>20</option>
      <option value='21'>21</option>
      <option value='22'>22</option>
      <option value='23'>23</option>
    </select>
    :
    <select id="minBackup"  data-value="$minute"   >
      <option value='00'>00</option>
      <option value='01'>01</option>
      <option value='02'>02</option>
      <option value='03'>03</option>
      <option value='04'>04</option>
      <option value='05'>05</option>
      <option value='06'>06</option>
      <option value='07'>07</option>
      <option value='08'>08</option>
      <option value='09'>09</option>
      <option value='10'>10</option>
      <option value='11'>11</option>
      <option value='12'>12</option>
      <option value='13'>13</option>
      <option value='14'>14</option>
      <option value='15'>15</option>
      <option value='16'>16</option>
      <option value='17'>17</option>
      <option value='18'>18</option>
      <option value='19'>19</option>
      <option value='20'>20</option>
      <option value='21'>21</option>
      <option value='22'>22</option>
      <option value='23'>23</option>
      <option value='24'>24</option>
      <option value='25'>25</option>
      <option value='26'>26</option>
      <option value='27'>27</option>
      <option value='28'>28</option>
      <option value='29'>29</option>
      <option value='30'>30</option>
      <option value='31'>31</option>
      <option value='32'>32</option>
      <option value='33'>33</option>
      <option value='34'>34</option>
      <option value='35'>35</option>
      <option value='36'>36</option>
      <option value='37'>37</option>
      <option value='38'>38</option>
      <option value='39'>39</option>
      <option value='40'>40</option>
      <option value='41'>41</option>
      <option value='42'>42</option>
      <option value='43'>43</option>
      <option value='44'>44</option>
      <option value='45'>45</option>
      <option value='46'>46</option>
      <option value='47'>47</option>
      <option value='48'>48</option>
      <option value='49'>49</option>
      <option value='50'>50</option>
      <option value='51'>51</option>
      <option value='52'>52</option>
      <option value='53'>53</option>
      <option value='54'>54</option>
      <option value='55'>55</option>
      <option value='56'>56</option>
      <option value='57'>57</option>
      <option value='58'>58</option>
      <option value='59'>59</option>
    </select>
  </fieldset>

  <fieldset class="param-noborder">
    <legend onclick="$('#param-avances').slideToggle().parent().toggleClass('param-noborder')" style="cursor:pointer"><b>Paramètres avancés</b></legend>
    <div id='param-avances' style="display:none">
      Limite maximum de la bande passante pour l'upload en octet/s:<br/>
      <input type="text" id= "__max_send_speed" value="$max_send_speed" />
      <br/><br/>
      Limite maximum de la bande passante pour le download en octet/s:<br/>
      <input type="text" id= "__max_recv_speed" value="$max_recv_speed" />
      <div class="win-only">
        <br/><br/>
        Sauvegarder les fichiers ouverts:<br/>
        <input type="checkbox" id= "__use_vss" value="$use_vss" />
        <br/><br/>
        Eteindre à la fin de la sauvegarde (windows uniquement):<br/>
        <input type="checkbox" id= "__shutDownAfterBackup" value="$shutDownAfterBackup" />
      </div>
    </div>
  </fieldset>

  <p style="text-align:center"><button onclick="runBackup(); return false">Lancer la sauvegarde</button></p>

</div>

<script type="text/javascript">
include = $include;
exclude = $exclude;
</script>


<input type="hidden" id= "__hourBackup" value="$hour" />
<input type="hidden" id= "__minBackup" value="$minute" />

<input type="hidden" id= "__max_send_speed" value="$max_send_speed" />
<input type="hidden" id= "__max_recv_speed" value="$max_recv_speed" />

<div class="clear"></div>
