function getActus() {
   $.getJSON('/getRSS', function(data) {
        listActus(data.entries);
    });
}
            
function listActus(actus) {
    $("#liste-actualites").empty();
    $.each(actus, function(index, actu) {
       renderActu(actu);
    });
    if(actus.length == 0) {
        $("#liste-actualites").text('Aucune actualité.');
    }
}
            
function renderActu(actu) {
   $('<li><h1><a onclick="window.open(this.href); return false;" href="'+actu.link+'">'+
        actu.title+'</a></h1><p>'+(actu.content ? actu.content[0].value : actu.summary)+'</p></li>').appendTo("#liste-actualites");

}